Retrieve campaign timetables (dayparting).
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/timetables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/timetables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/timetables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timetables": [
{
"isActive": true,
"dayOfWeek": 1,
"updatedAt": "2023-11-07T05:31:56Z",
"startHour": 0,
"endHour": 24
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Retrieve campaign timetables (dayparting).
Retrieve the dayparting configuration for a campaign.
Returns all configured timetables for the campaign, ordered by day of week. If no timetables are configured, returns an empty list.
HOUR SEMANTICS:
- start_hour: Campaign starts at this hour (inclusive, 0-23)
- end_hour: Campaign stops at this hour (exclusive, 1-24)
- Example: start_hour=9, end_hour=17 means runs from 9:00 AM to 5:00 PM.
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign_id}
/
timetables
Retrieve campaign timetables (dayparting).
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the campaign.
Query Parameters
The ID of the vendor.
Minimum string length:
1Was this page helpful?